/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from KonquerorIface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KONQUERORIFACE_STUB__
#define __KONQUERORIFACE_STUB__

#include <dcopstub.h>
#include <tqstringlist.h>
#include <dcopref.h>
#include <tqvaluelist.h>
#include <dcopobject.h>


class KonquerorIface_stub : virtual public DCOPStub
{
public:
    KonquerorIface_stub( const TQCString& app, const TQCString& id );
    KonquerorIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit KonquerorIface_stub( const DCOPRef& ref );
    virtual DCOPRef openBrowserWindow( const TQString& url );
    virtual DCOPRef openBrowserWindowASN( const TQString& url, const TQCString& startup_id );
    virtual DCOPRef createNewWindow( const TQString& url );
    virtual DCOPRef createNewWindowASN( const TQString& url, const TQCString& startup_id, bool tempFile );
    virtual DCOPRef createNewWindowWithSelection( const TQString& url, TQStringList filesToSelect );
    virtual DCOPRef createNewWindowWithSelectionASN( const TQString& url, TQStringList filesToSelect, const TQCString& startup_id );
    virtual DCOPRef createNewWindow( const TQString& url, const TQString& mimetype, bool tempFile );
    virtual DCOPRef createNewWindowASN( const TQString& url, const TQString& mimetype, const TQCString& startup_id, bool tempFile );
    virtual DCOPRef createBrowserWindowFromProfile( const TQString& path );
    virtual DCOPRef createBrowserWindowFromProfileASN( const TQString& path, const TQCString& startup_id );
    virtual DCOPRef createBrowserWindowFromProfile( const TQString& path, const TQString& filename );
    virtual DCOPRef createBrowserWindowFromProfileASN( const TQString& path, const TQString& filename, const TQCString& startup_id );
    virtual DCOPRef createBrowserWindowFromProfileAndURL( const TQString& path, const TQString& filename, const TQString& url );
    virtual DCOPRef createBrowserWindowFromProfileAndURLASN( const TQString& path, const TQString& filename, const TQString& url, const TQCString& startup_id );
    virtual DCOPRef createBrowserWindowFromProfileAndURL( const TQString& path, const TQString& filename, const TQString& url, const TQString& mimetype );
    virtual DCOPRef createBrowserWindowFromProfileAndURLASN( const TQString& path, const TQString& filename, const TQString& url, const TQString& mimetype, const TQCString& startup_id );
    virtual ASYNC reparseConfiguration();
    virtual TQString crashLogFile();
    virtual TQValueList<DCOPRef> getWindows();
    virtual ASYNC updateProfileList();
    virtual ASYNC addToCombo( TQString , TQCString  );
    virtual ASYNC removeFromCombo( TQString , TQCString  );
    virtual ASYNC comboCleared( TQCString  );
    virtual bool processCanBeReused( int screen );
    virtual ASYNC terminatePreloaded();
protected:
    KonquerorIface_stub() : DCOPStub( never_use ) {}
};


#endif
